> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vendor Contact

> Complete mixin for history filtering with pagination support.
Returns either active OR deleted records based on include_deleted parameter.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/vendor/{id}/contacts
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/vendor/{id}/contacts:
    post:
      tags:
        - Core Accounting
      summary: Create Vendor Contact
      description: >-
        Complete mixin for history filtering with pagination support.

        Returns either active OR deleted records based on include_deleted
        parameter.
      operationId: coa_api_vendor_contacts_create
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VendorContact'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/VendorContact'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/VendorContact'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorContact'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    VendorContact:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
          maxLength: 250
        last_name:
          type: string
          nullable: true
          maxLength: 250
        email:
          type: string
          format: email
          nullable: true
          maxLength: 250
        phone_number:
          type: string
          nullable: true
          maxLength: 250
        mobile_number:
          type: string
          nullable: true
          maxLength: 250
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - deleted_at
        - id
        - is_deleted
        - last_modified_at
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````